[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: mozilla-browser conflicts with galeon 1.2.3?



On 31-May-02, 13:56 (CDT), Erich Schubert <erich@debian.org> wrote: 
> > The real question is why mozilla declares any relationship to galeon at
> > all. Galeon should have a "Depends: mozilla-browser (=1.blah.blah)",
> > with the appropriate version. The conflict seems unnecessary.
> 
> Having been told by galeon upstream that galeon 1.2.1 will NOT work with
> rc3 i requested that mozilla's maintainer added a conflict on galeon
> 1.2.3 - because mozilla rc3 DOES break galeon 1.2.1 (according to
> upstream)

Ah, so this is a workaround solution.

> That way people don't end up with a broken galeon, which is the most
> important thing, not _where_ the dependeny is located, IMHO.

Agree with the basic principle, and now I see why this occurred (and
agree that you didn't have much choice), but backwards dependency
relationships are unworkable in general: the dependee can't be expected
to track the status of all the dependers.

Steve

-- 
Steve Greenland


-- 
To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Reply to: